Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Interface PortalGroupHierarchyHome

public interface PortalGroupHierarchyHome
extends BaseHome

The EJB Home interface for the PortalGroupHiearchy.

Method Summary
`PortalGroupHierarchy` | `create(PortalGroupHierarchyPK pk)` Create a new PortalGroupHierarchy.
`java.util.Enumeration` | `findByGroup(java.lang.String aGroup)` Find by group.
`java.util.Enumeration` | `findByPortal(java.lang.String aPortal)` Find by portal.
`PortalGroupHierarchy` | `findByPrimaryKey(PortalGroupHierarchyPK pk)` Find by primary key.

Methods inherited from interface javax.ejb.EJBHome
`getEJBMetaData, remove, remove`

Method Detail

### create

    public PortalGroupHierarchy create(PortalGroupHierarchyPK pk)
                                throws javax.ejb.CreateException,
                                       java.rmi.RemoteException

  Create a new PortalGroupHierarchy.
  Parameters:
    `pk` - the primary key.
  Returns:
    `PortalGroupHierarchy` the created object.
  Throws:
    `CreateException` - error on creation.
    `RemoteException` - container error.

### findByPrimaryKey

    public PortalGroupHierarchy findByPrimaryKey(PortalGroupHierarchyPK pk)
                                          throws javax.ejb.FinderException,
                                                 java.rmi.RemoteException

  Find by primary key.
  Parameters:
    `pk` - the primary key.
  Returns:
    `PortalGroupHierarchy` the object that matches the key.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByGroup

    public java.util.Enumeration findByGroup(java.lang.String aGroup)
                                      throws javax.ejb.FinderException,
                                             java.rmi.RemoteException

  Find by group.
  Parameters:
    `aGroup` - the group.
  Returns:
    `Enumeration` all elements that match the group name.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

### findByPortal

    public java.util.Enumeration findByPortal(java.lang.String aPortal)
                                       throws javax.ejb.FinderException,
                                              java.rmi.RemoteException

  Find by portal.
  Parameters:
    `aPortal` - the portal.
  Returns:
    `Enumeration` all elements that match the portal name.
  Throws:
    `FinderException` - query error.
    `RemoteException` - container error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved